/* space.c */

#include "config.h"

#ifdef P30434_CNTLS
#define MAX_ADAPTERS (P30434_CNTLS+P30433_CNTLS+P30432_CNTLS+P30431_CNTLS+P3043_CNTLS) 

#elif P30433_CNTLS
#define MAX_ADAPTERS (P30433_CNTLS+P30432_CNTLS+P30431_CNTLS+P3043_CNTLS) 

#elif P30432_CNTLS
#define MAX_ADAPTERS (P30432_CNTLS+P30431_CNTLS+P3043_CNTLS) 

#elif P30431_CNTLS
#define MAX_ADAPTERS (P30431_CNTLS+P3043_CNTLS) 

#else
#define MAX_ADAPTERS (P3043_CNTLS) 
#endif

int p3043_num_dev = MAX_ADAPTERS;

char *Pciid1="0";
char *Pciid2="0";
char *Pciid3="0";
char *Pciid4="0";
char *MediaType1="0";
char *MediaType2="0";
char *MediaType3="0";
char *MediaType4="0";

typedef	struct {
	int  start_addr; /* RAM starting address	*/
	int  end_addr;	 /* RAM ending address	*/
	int  IRQ;	 /* Interrupt 		*/
	int  PORT;	 /* I/O address		*/
} T_p3043_sdev;

T_p3043_sdev	Sdev[MAX_ADAPTERS] = {
#ifdef P3043_0
	{
		P3043_0_SCMA, 	/* RAM starting address */
		P3043_0_ECMA,	/* RAM ending address	*/
		P3043_0_VECT,	/* IRQ			*/
		P3043_0_SIOA		/* I/O address		*/
	}
#endif
#ifdef P30431_0
	,
	{
		P3043_0_SCMA, 	/* RAM starting address */
		P30431_0_ECMA,	/* RAM ending address	*/
		P30431_0_VECT,	/* IRQ			*/
		P30431_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P30432_0
	,
	{
		P3043_0_SCMA, 	/* RAM starting address */
		P30432_0_ECMA,	/* RAM ending address	*/
		P30432_0_VECT,	/* IRQ			*/
		P30432_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P30433_0
	,
	{
		P3043_0_SCMA, 	/* RAM starting address */
		P30433_0_ECMA,	/* RAM ending address	*/
		P30433_0_VECT,	/* IRQ			*/
		P30433_0_SIOA	/* I/O address		*/
	}
#endif
#ifdef P30434_0
	,
	{
		P3043_0_SCMA, 	/* RAM starting address */
		P30434_0_ECMA,	/* RAM ending address	*/
		P30434_0_VECT,	/* IRQ			*/
		P30434_0_SIOA	/* I/O address		*/
	}
#endif
};
